%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  nanonext
%global packver   1.6.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.6.2
Release:          1%{?dist}%{?buildtag}
Summary:          NNG (Nanomsg Next Gen) Lightweight Messaging Library

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    cmake
BuildRequires:    R-devel >= 3.6
Requires:         R-core >= 3.6

%description
R binding for NNG (Nanomsg Next Gen), a successor to ZeroMQ. NNG is a
socket library for reliable, high-performance messaging over in-process,
IPC, TCP, WebSocket and secure TLS transports. Implements 'Scalability
Protocols', a standard for common communications patterns including
publish/subscribe, request/reply and service discovery. As its own
threaded concurrency framework, provides a toolkit for asynchronous
programming and distributed computing. Intuitive 'aio' objects resolve
automatically when asynchronous operations complete, and synchronisation
primitives allow R to wait upon events signalled by concurrent threads.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
